/****************************************************************/
/* m_Completepayment  설명                                      */
/****************************************************************/
/* 인증완료시 재귀 함수                                         */
/* 해당 함수명은 절대 변경하면 안됩니다.                        */
/* 해당 함수의 위치는 payplus.js 보다먼저 선언되어여 합니다.    */
/* Web 방식의 경우 리턴 값이 form 으로 넘어옴                   */
/****************************************************************/
function m_Completepayment( FormOrJson, closeEvent )
{
	var frm = document.order_info;
	
	/********************************************************************/
	/* FormOrJson은 가맹점 임의 활용 금지                               */
	/* frm 값에 FormOrJson 값이 설정 됨 frm 값으로 활용 하셔야 됩니다.  */
	/* FormOrJson 값을 활용 하시려면 기술지원팀으로 문의바랍니다.       */
	/********************************************************************/
	GetField( frm, FormOrJson );
	
	
	if( frm.res_cd.value == "0000" ) {
		frm.submit();
	} else {
		alert( "[" + frm.res_cd.value + "] " + frm.res_msg.value );
		closeEvent();
	}
}

/* 표준웹 실행 */
function jsf__pay( form ) {
	try {
		KCP_Pay_Execute( form );
	} catch (e) {
		/* IE 에서 결제 정상종료시 throw로 스크립트 종료 */
	}
}

/* kcp web 결제창 호츨 (변경불가) */
function call_pay_form()
{
	var v_frm = document.order_info;
	// 인코딩 방식에 따른 변경 Start
	if(v_frm.encoding_trans == undefined) {
		v_frm.action = PayUrl;
	} else if(v_frm.encoding_trans.value == "UTF-8") {
		v_frm.action = PayUrl.substring(0, PayUrl.lastIndexOf("/")) + "/jsp/encodingFilter/encodingFilter.jsp";
		v_frm.PayUrl.value = PayUrl;
	} else {
		v_frm.action = PayUrl;
	}

	if (v_frm.Ret_URL.value == "") {
		/* Ret_URL값은 현 페이지의 URL 입니다. */
		alert("연동시 Ret_URL을 반드시 설정하셔야 됩니다.");
		return false;
	} else {
		v_frm.submit();
	}
}

/* kcp 통신을 통해 받은 암호화 정보 체크 후 결제 요청 (변경불가) */
function chk_pay() {
	self.name = "tar_opener";
	var pay_form = document.pay_form;

	if (pay_form.res_cd.value == "3001" ) {
		alert("사용자가 취소하였습니다.");
		pay_form.res_cd.value = "";
	}

	if (pay_form.enc_info.value) {
		pay_form.submit();
	}
}